Bug 430518 - External USB hard drive kills anaconda
Summary: External USB hard drive kills anaconda
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-28 16:06 UTC by Gary Thomas
Modified: 2013-01-10 04:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 21:58:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failure logs from two different installs (79.05 KB, application/octet-stream)
2008-01-28 16:06 UTC, Gary Thomas
no flags Details

Description Gary Thomas 2008-01-28 16:06:16 UTC
Description of problem:

Anaconda dies (early on) when trying to install to an external USB drive.

Version-Release number of selected component (if applicable):

11.4.0.27-1 (2008-01-25)

How reproducible:

100% - tested on two very different machines

Steps to Reproduce:
1. Attempt NFS install from rawhide with USB drive plugged in
2.
3.
  
Actual results:


Expected results:


Additional info:

The drive has a single Linux partition already on it (with
a local copy of rawhide!).  Just booting up the installer
dies immediately with basically no notice other than "I quit"

There are no discernible errors

Note: this may be a problem with the bdevid modules stuff as that's
the last message in the anaconda.log and no such module seems to be
loaded?

Comment 1 Gary Thomas 2008-01-28 16:06:17 UTC
Created attachment 293165 [details]
Failure logs from two different installs

Comment 2 Chris Lumens 2008-01-28 22:36:05 UTC
Are there any helpful error messages on tty1 or tty4?

Comment 3 Gary Thomas 2008-01-28 23:25:21 UTC
The attachment contains pertinent logs and other information from
the two systems I tried.
  anaconda.log
  syslog
  partitions (copied from /proc/partitions)
  modules (output of 'lsmod')

What else do you need to see?


Comment 4 Gary Thomas 2008-02-09 17:43:59 UTC
Also fails on stock Fedora8 (11.3.0.50).

Tried on PS3 and i386.  At least on the i386, anaconda fails with python throwing
a glibc/double free() error.

Strangely enough, I was able to install Fedora8 to an i386 system _once_,
but I can no longer repeat this.

Comment 5 Gary Thomas 2008-02-13 14:52:11 UTC
I've found where this happens.  In dmraid.py:

def scanForMPath(drives):
    log.debug("scanning for multipath on drives %s" % (drives,))
    mpaths = []

    probeDrives = []
    for d in drives:
        probeDrives.append("/dev/%s" % (d,))

    import block as _block
    oldPath = _block.getBdevidPath()
    if not _bdModulePath in oldPath:
        _block.setBdevidPath(_bdModulePath + oldPath)
    del oldPath

    log.debug("loading bdevid modules from: '%s'" % (_block.getBdevidPath(),))

    _block.load("scsi")
    mpaths = _block.getMPaths(probeDrives)
    log.debug("mpaths: %s" % (mpaths,))


The call to _block.getMPaths(probeDrives) fails, but the exception
doesn't seem to be caught and everything goes downhill from there.

If I short-circuit scanForMPath() to just return an empty list, the
remainder of the installation carries on.

n.b. I've not run this to completion yet, so I don't know what will
happen with the bootstrap setup, etc., but at least this is progress
toward fixing this bug.

Also, I've been testing this against the latest rawhide version 11.4.0.33


Comment 6 Chris Lumens 2008-02-13 15:57:44 UTC
Can you attach the /tmp/anacdump.txt file from this failure?  That's the most
important piece of debugging information we've got for fixing up things like this.

Comment 7 Gary Thomas 2008-02-13 16:15:25 UTC
Already attached for two different machines (comment #1)

Note that I have now isolated the failure to the call getMPaths(), but I
don't know where that code is (it's not part of anaconda proper) or else
I'd continue my investigation

Comment 8 Chris Lumens 2008-02-13 16:46:08 UTC
You included /tmp/anaconda.log, true.  However on tracebacks, you additionally
get /tmp/anacdump.txt which includes not only the log, but the traceback itself
and the dump of a bunch of internal variables.

Comment 9 Gary Thomas 2008-02-13 17:05:22 UTC
Anaconda dies without generating a dump file.

Comment 10 Jesse Keating 2008-04-01 20:45:43 UTC
Have you been able to reproduce with recent rawhide?  Just want to make sure
it's still a problem.

Comment 11 Jesse Keating 2008-04-01 21:16:15 UTC
Installing to USB disks here work, I'm dropping this off the blocker list.

Comment 12 Gary Thomas 2008-04-01 21:48:47 UTC
Tested against the Beta LiveCD worked for me.

Comment 13 Jesse Keating 2008-04-01 21:58:43 UTC
Ok, closing.


Note You need to log in before you can comment on or make changes to this bug.